include	clib.inc
include	conio.inc

PPROC	loadpal, pal:dword
	push	si
	xor	si,si
    loadpal_loop:
	les	bx,pal
	add	bx,si
	mov	al,es:[bx]
	mov	ah,0
	push	ax
	push	si
	call	setpal
	inc	si
	cmp	si,16
	jl	loadpal_loop
	pop	si
	ret
PEND	loadpal

	END
